File Details

Download this file | Go to files list

Simply download and install.

Ensure that your version of Beyond the Sword is updated to BtS 3.19 before installing WolfRevolution

Download this file | Go to files list